<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$item=$_GET["item"];
$soporte=$_GET["soporte"];
$usuario=$_GET["usuario"];

$config = require ('config.php');
$conexion=$config['conexion']; 
$conn =  pg_pconnect("$conexion");

$sql="BEGIN; 
		delete from soportes_det where item_code='$item';
		update items set estado='PEN',taller_asignado=null,zona_asignada=null,momento_fin=null,soporte_out=null,soporte_sacado=$soporte,momento_sacado=current_timestamp,usuario_sacado='$usuario'
				where item_code='$item';
	  COMMIT;";
	  
$result = pg_query($conn, $sql) or die('La consulta fallo: ' . pg_last_error());

unset($conn);
echo "OK";	

?>